#!/usr/bin/python
# -*- coding: utf-8 -*-
import osgeo.ogr as ogr
import osgeo.osr as osr
import numpy as np
import gdal
import sys, os
import json

############ lee archivo de configuración ################
#dirname = os.path.dirname(__file__)
#configfile = os.path.join(dirname, '../config/config.json')

#with open(configfile, 'r') as f:
#    config = json.load(f)


##print(config['PATHS']['PATH_GEOSENTINEL'])

#SENTINEL_PATH = config['PATHS']['PATH_GEOSENTINEL']
############################################################

#sys.path.append(SENTINEL_PATH)
if __name__ == "__main__": # Local Run
    import rasterWkt
else: # Module Run, When going production - delete if/else
    from . import rasterWkt


#-------------------------------------------------------------------------------
def imageMissingData(filename, wkt):

	inputImage = gdal.Open(filename)
	rows, cols, geotransform = inputImage.RasterYSize, inputImage.RasterXSize, inputImage.GetGeoTransform()
	data = inputImage.GetRasterBand(1).ReadAsArray(0,0,cols,rows)
	rasterwkt = rasterWkt.getPolygonArray(inputImage, wkt)
	data = np.bitwise_and(data, rasterwkt)

	inputImage = None
	return (data>0).sum()/float((rasterwkt>0).sum())

#-------------------------------------------------------------------------------
def main(argv):
	if len(sys.argv) != 4:
		print("Usage: " + argv[0] + " <File> <JSON> <%>")
	else:
		jsonFile=open(argv[2]).read()
		cfg = json.loads(jsonFile)

		dataArea = imageMissingData(argv[1], cfg["wkt"])
		th = float(argv[3])/100.0
		if dataArea<th :
			print ("Deleting " + argv[1] + " " + str(dataArea)+" < " + str(th))
			os.system("rm " + argv[1])
		else:
			print ("Keeping " + argv[1] + " " + str(dataArea))


		
#-------------------------------------------------------------------------------
if __name__ == "__main__":
	main(sys.argv)
