#!/bin/sh
echo $PWD
FILE=$1
JP2DIR=$2	#JP2 Output Directory
BYTILE=${3:-0}
#S2A_MSIL2A_60170515T162341_N0605_R040_T16QBJ_60170515T163103.zip
filepattern=$(echo $FILE | cut -d"_" -f6)"_"$(echo $FILE | cut -d"_" -f3)"_" #T16QBJ_60170515T162341_

#productType=$(echo $filepattern | cut -d"_" -f2)	#MSIL2A
tile=$(echo $filepattern | cut -d"_" -f1) 		#T16QBJ
datetime=$(echo $filepattern | cut -d"_" -f2)		#60170515T162341
dateText=$(echo $datetime | cut -d"T" -f1)		#60170515

#echo "productType " $productType
echo $tile
echo $datetime
echo $dateText

if [ $BYTILE -ne "0" ]; then
	echo "BY TILE"
	outDir=$JP2DIR$tile"/"$dateText
	if [ ! -d $JP2DIR$tile"/" ]; then
		mkdir $JP2DIR$tile"/"
	fi
else
	echo "BY DATE"
	outDir=$JP2DIR$dateText
fi

filePrefix=$outDir"/"$filepattern
echo $filePrefix
echo $outDir
if [ ! -d $outDir ]; then
        mkdir $outDir
fi

if [  ! -e $filePrefix"TCI_10m.jp2" -o ! -e $filePrefix"TCI_60m.jp2" -o ! -e $filePrefix"SCL_60m.jp2"  ]; then

	unzip -n -j $FILE *TCI_10m.jp2 *TCI_60m.jp2 *SCL_60m.jp2 -d $outDir
#        unzip -n -j $FILE *TCI_10m.jp2 *SCL_60m.jp2 -d $outDir

	TCI10m=$outDir"/L2A_"$filepattern"TCI_10m.jp2"
	TCI60m=$outDir"/L2A_"$filepattern"TCI_60m.jp2"
	SCL60m=$outDir"/L2A_"$filepattern"SCL_60m.jp2"

	if [ -e $TCI10m ]; then
		mv $TCI10m $filePrefix"TCI_10m.jp2"
	fi
	if [ -e $TCI60m ]; then
		mv $TCI60m $filePrefix"TCI_60m.jp2"
	fi
	if [ -e $SCL60m ]; then
		mv $SCL60m $filePrefix"SCL_60m.jp2"
	fi
else
	echo PASS $FILE
fi


