#!/bin/sh
CFG=$1
#BYTILE=${2:-0}
CWD=$PWD"/"
RED='\033[0;31m'
NC='\033[0m' # No Color
echo "${RED}Downloding WKT area from Sentinel-Hub${NC}"
echo $CFG
wkt=$(jq -r .wkt $CFG)
SORT=$(jq -r .productsort $CFG)
echo "wkt: "
echo $wkt

#0.- Create Shape File From WKT
echo "${RED}Creating Shape file...${NC}"
if [  -d "myshape" ]; then
	rm -r myshape
fi
wktToShape.py $CFG "myshape"

#1.- Link L2A products 
echo ${RED}"Linking Products..."${NC}
if [ ! -d "L2A" ]; then
	mkdir L2A
fi
cd L2A
	rm *
cd ..
yes yes | findProducts.py $CFG


#2.- Extract Images
echo "sort: " $SORT
echo ${RED}"Extracting JP2 Images..."${NC}
if [ ! -d "jp2" ]; then
	mkdir jp2
fi

if [ "$SORT" != "date" ]; then
        echo "BY TILE" #tile/date
	L2AProductListExtractData.sh $CWD"L2A/" $CWD"jp2/" 4 1

else
        echo "BY DATE"
	L2AProductListExtractData.sh $CWD"L2A/" $CWD"jp2/" 4 0
fi
echo "sort: " $SORT

cd $CWD
#3.- Merge Images
echo ${RED}"\nMerging Images..."${NC}
if [ ! -d "wkt" ]; then
        mkdir "wkt"
fi

if [ "$SORT" != "date" ]; then
	echo "BY TILE"

#	cd "jp2/"
#	ls -d */ | parallel -q --jobs 1 mergeImagesByDirectory.sh $USERDIR"jp2/"{} "$wtk" 4
	for i in $(ls -d */) ; do
		if [ ! -d "../out/"$i ]; then
			mkdir "../out/"$i
		fi
		mergeImagesByDirectory.sh $CWD"jp2/"$i ../../../out/$i "$wkt"
	done
else
	echo "BY DATE"
#        cd "jp2/"
        mergeImagesByDirectory.sh $CWD"jp2/" $CWD"wkt/" "$wkt" 1

fi

echo "END"

