#!/bin/sh
INDIR=$1	#Directory with images to merge
OUTDIR=$2	#Output directory
POLYGON=$3	#Crop Window (minX, maxX, minY, maxY)
DIRNAME=$(echo $INDIR | cut -d"/" -f1)
echo "INDIR:" $INDIR
echo "OUTDIR:" $OUTDIR

#echo $POLYGON
cd $INDIR

#if [ ! -d $OUTDIR ]; then
#	mkdir $OUTDIR
#fi

#BOX=$(polygonToBox.py "$POLYGON")
BOX=$POLYGON
##------------------------------------------------------------------------------
echo $DIRNAME
for f in $(ls);  do echo ${f}; done;
##------------------------------------------------------------------------------
MERGEDIMAGE=$DIRNAME"_TCI_10m_merged.tif"
if [  ! -e $MERGEDIMAGE  ]; then
	echo "gdal_merge.py -o "$MERGEDIMAGE $(ls *TCI_10m.jp2)
	gdal_merge.py -o $MERGEDIMAGE $(ls *TCI_10m.jp2)
else
	echo PASSING $MERGEDIMAGE FOUND
fi

CROPEDIMAGE=$OUTDIR$DIRNAME"_TCI_10m.tif"
if [  ! -e $CROPEDIMAGE  ]; then
	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of GTiff $MERGEDIMAGE $CROPEDIMAGE
else
	echo PASSING $CROPEDIMAGE FOUND
fi

##------------------------------------------------------------------------------
MERGEDIMAGE=$DIRNAME"_SCL_60m_merged.tif"
if [  ! -e $MERGEDIMAGE  ]; then
	echo "gdal_merge.py -o "$MERGEDIMAGE $(ls *SCL_60m.jp2)
	gdal_merge.py -o $MERGEDIMAGE $(ls *SCL_60m.jp2)
else
	echo PASSING $MERGEDIMAGE FOUND
fi

CROPEDIMAGE=$OUTDIR$DIRNAME"_SCL_60m.tif"
if [  ! -e $CROPEDIMAGE  ]; then
	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of GTiff $MERGEDIMAGE $CROPEDIMAGE
else
	echo PASSING $CROPEDIMAGE FOUND
fi

cd ..



